Bug 185500 - emulators/xbraitenberg: Fix build with clang
Summary: emulators/xbraitenberg: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-05 18:10 UTC by tkato432
Modified: 2014-01-25 13:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.39 KB, patch)
2014-01-05 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-01-05 18:10:00 UTC
- Fix build with clang

New file:
files/patch-permstr.hh
Comment 1 Martin Wilke freebsd_committer 2014-01-19 09:24:41 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 2 dfilter service freebsd_committer 2014-01-19 09:24:44 UTC
Author: miwi
Date: Sun Jan 19 09:24:34 2014
New Revision: 340240
URL: http://svnweb.freebsd.org/changeset/ports/340240
QAT: https://qat.redports.org/buildarchive/r340240/

Log:
  - Fix build with clang
  
  PR:		185500
  Submitted by:	Ports Fury

Added:
  head/emulators/xbraitenberg/files/
  head/emulators/xbraitenberg/files/patch-permstr.hh   (contents, props changed)
Modified:
  head/emulators/xbraitenberg/Makefile   (contents, props changed)

Modified: head/emulators/xbraitenberg/Makefile
==============================================================================
--- head/emulators/xbraitenberg/Makefile	Sun Jan 19 09:23:12 2014	(r340239)
+++ head/emulators/xbraitenberg/Makefile	Sun Jan 19 09:24:34 2014	(r340240)
@@ -8,12 +8,16 @@ CATEGORIES=	emulators
 MASTER_SITES=	http://www.lcdf.org/~eddietwo/xbraitenberg/
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A Braitenberg vehicle simulator with pseudo-physics
+COMMENT=	Braitenberg vehicle simulator with pseudo-physics
 
 USE_XORG=	x11 ice sm xext
 GNU_CONFIGURE=	yes
+CONFIGURE_ENV=	ac_cv_fpermissive=no
 
 PLIST_FILES=	bin/xbraitenberg
 
-NO_STAGE=	yes
+post-patch:
+	@${REINPLACE_CMD} -e \
+		'/operator bool() const/d' ${WRKSRC}/operator.hh
+
 .include <bsd.port.mk>

Added: head/emulators/xbraitenberg/files/patch-permstr.hh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/xbraitenberg/files/patch-permstr.hh	Sun Jan 19 09:24:34 2014	(r340240)
@@ -0,0 +1,22 @@
+--- permstr.hh.orig
++++ permstr.hh
+@@ -4,6 +4,10 @@
+ #include <cstddef>
+ #include <cstdarg>
+ 
++class PermString;
++
++PermString permprintf(const char *, ...);
++
+ class PermString { struct Doodad; public:
+   
+     typedef Doodad *Capsule;
+@@ -91,7 +95,7 @@
+ inline int
+ hashcode(PermString s)
+ {
+-    return (int)(s.cc());
++    return (int)(size_t)(s.cc());
+ }
+ 
+ #endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2014-01-19 09:26:37 UTC
Author: miwi
Date: Sun Jan 19 09:26:25 2014
New Revision: 340242
URL: http://svnweb.freebsd.org/changeset/ports/340242
QAT: https://qat.redports.org/buildarchive/r340242/

Log:
  - Fix build with clang
  
  PR:		185500
  Submitted by:	Ports Fury

Modified:
  head/audio/calf/Makefile
  head/audio/calf/pkg-plist

Modified: head/audio/calf/Makefile
==============================================================================
--- head/audio/calf/Makefile	Sun Jan 19 09:26:22 2014	(r340241)
+++ head/audio/calf/Makefile	Sun Jan 19 09:26:25 2014	(r340242)
@@ -20,33 +20,51 @@ LIB_DEPENDS=	libfluidsynth.so:${PORTSDIR
 
 OPTIONS_DEFINE=	LASH LV2
 OPTIONS_DEFAULT=LASH LV2
+OPTIONS_SUB=	yes
 LV2_DESC=	LV2 audio plugin
 
 USES=		gmake pkgconfig
 USE_GNOME=	gtk20
-USE_CSTD=	gnu89
 GNU_CONFIGURE=	yes
 INSTALLS_ICONS=	yes
 
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-OPTIONS_SUB=	yes
 LASH_LIB_DEPENDS=	liblash.so:${PORTSDIR}/audio/lash
 LASH_CONFIGURE_WITH=	lash
-LV2_BUILD_DEPENDS+=	lv2core>0:${PORTSDIR}/audio/lv2core
-LV2_RUN_DEPENDS+=	lv2core>0:${PORTSDIR}/audio/lv2core
+LV2_BUILD_DEPENDS=	lv2core>0:${PORTSDIR}/audio/lv2core
+LV2_RUN_DEPENDS=	lv2core>0:${PORTSDIR}/audio/lv2core
 LV2_CONFIGURE_WITH=	lv2
 
+.include <bsd.port.options.mk>
+
 post-patch:
 	@${FIND} ${BUILD_WRKSRC} -name '*.cpp' | ${XARGS} ${REINPLACE_CMD} -e \
 		's|<malloc.h>|<stdlib.h>|'
 	@${REINPLACE_CMD} -e '/CXXFLAGS/s|-O3||' ${WRKSRC}/configure
-	@${REINPLACE_CMD} -e '/^install-data-am:/s|install-data-local||' \
-		${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -e '/calf.so/s|$$(pkglibdir)|../../calf|' \
+		${WRKSRC}/src/Makefile.in
+	@${REINPLACE_CMD} -e 's|src\.size();|src->size();|' \
+		${WRKSRC}/src/calf/buffer.h
+	@${REINPLACE_CMD} -e 's|data\[(1<<IntBits)+1\]|data[]|' \
+		${WRKSRC}/src/calf/fixed_point.h
+
+pre-build:
+.if ${PORT_OPTIONS:MLV2}
+	@${MKDIR} ${WRKDIR}/calfmakerdf
+	@(cd ${WRKSRC} && ${PAX} -rw . ${WRKDIR}/calfmakerdf)
+	@${REINPLACE_CMD} -e 's|\(PKGLIBDIR\).*|\1 "${STAGEDIR}${DATADIR}"|' \
+		${WRKDIR}/calfmakerdf/config.h
+	@(cd ${WRKDIR}/calfmakerdf/src && ${SETENV} ${MAKE_ENV} ${MAKE_CMD} \
+		${MAKE_FLAGS} ${MAKEFILE} -j${MAKE_JOBS_NUMBER} ${MAKE_ARGS} \
+		calfmakerdf)
+.endif
 
 post-install:
-	@(cd ${INSTALL_WRKSRC} && ${SETENV} ${MAKE_ENV} ${GMAKE} \
-		${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} install-data-local)
+.if ${PORT_OPTIONS:MLV2}
+	@(cd ${WRKDIR}/calfmakerdf/src && ./calfmakerdf -m ttl \
+		-p ${STAGEDIR}${PREFIX}/lib/lv2/calf.lv2)
+.endif
 
 .include <bsd.port.mk>

Modified: head/audio/calf/pkg-plist
==============================================================================
--- head/audio/calf/pkg-plist	Sun Jan 19 09:26:22 2014	(r340241)
+++ head/audio/calf/pkg-plist	Sun Jan 19 09:26:25 2014	(r340242)
@@ -34,6 +34,11 @@ lib/calf/calf.so
 %%LV2%%lib/lv2/calf.lv2/calf.so
 %%LV2%%lib/lv2/calf.lv2/calflv2gui.so
 %%LV2%%lib/lv2/calf.lv2/manifest.ttl
+%%LV2%%lib/lv2/calf.lv2/presets-Filter.ttl
+%%LV2%%lib/lv2/calf.lv2/presets-Flanger.ttl
+%%LV2%%lib/lv2/calf.lv2/presets-Monosynth.ttl
+%%LV2%%lib/lv2/calf.lv2/presets-Organ.ttl
+%%LV2%%lib/lv2/calf.lv2/presets-Reverb.ttl
 man/man1/calfjackhost.1.gz
 man/man7/calf.7.gz
 share/applications/calf.desktop
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2014-01-25 12:55:59 UTC
Author: miwi
Date: Sat Jan 25 12:55:49 2014
New Revision: 341016
URL: http://svnweb.freebsd.org/changeset/ports/341016
QAT: https://qat.redports.org/buildarchive/r341016/

Log:
  MFH: r340240
  
  - Fix build with clang
  
  PR:		185500
  Submitted by:	Ports Fury

Added:
  branches/2014Q1/emulators/xbraitenberg/files/
     - copied from r340240, head/emulators/xbraitenberg/files/
Modified:
  branches/2014Q1/emulators/xbraitenberg/Makefile   (contents, props changed)
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/emulators/xbraitenberg/Makefile
==============================================================================
--- branches/2014Q1/emulators/xbraitenberg/Makefile	Sat Jan 25 12:40:42 2014	(r341015)
+++ branches/2014Q1/emulators/xbraitenberg/Makefile	Sat Jan 25 12:55:49 2014	(r341016)
@@ -8,12 +8,16 @@ CATEGORIES=	emulators
 MASTER_SITES=	http://www.lcdf.org/~eddietwo/xbraitenberg/
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A Braitenberg vehicle simulator with pseudo-physics
+COMMENT=	Braitenberg vehicle simulator with pseudo-physics
 
 USE_XORG=	x11 ice sm xext
 GNU_CONFIGURE=	yes
+CONFIGURE_ENV=	ac_cv_fpermissive=no
 
 PLIST_FILES=	bin/xbraitenberg
 
-NO_STAGE=	yes
+post-patch:
+	@${REINPLACE_CMD} -e \
+		'/operator bool() const/d' ${WRKSRC}/operator.hh
+
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2014-01-25 12:57:04 UTC
Author: miwi
Date: Sat Jan 25 12:56:56 2014
New Revision: 341017
URL: http://svnweb.freebsd.org/changeset/ports/341017
QAT: https://qat.redports.org/buildarchive/r341017/

Log:
  MFH: r340242
  
  - Fix build with clang
  
  PR:		185500
  Submitted by:	Ports Fury

Modified:
  branches/2014Q1/audio/calf/Makefile
  branches/2014Q1/audio/calf/pkg-plist
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/audio/calf/Makefile
==============================================================================
--- branches/2014Q1/audio/calf/Makefile	Sat Jan 25 12:55:49 2014	(r341016)
+++ branches/2014Q1/audio/calf/Makefile	Sat Jan 25 12:56:56 2014	(r341017)
@@ -20,33 +20,51 @@ LIB_DEPENDS=	libfluidsynth.so:${PORTSDIR
 
 OPTIONS_DEFINE=	LASH LV2
 OPTIONS_DEFAULT=LASH LV2
+OPTIONS_SUB=	yes
 LV2_DESC=	LV2 audio plugin
 
 USES=		gmake pkgconfig
 USE_GNOME=	gtk20
-USE_CSTD=	gnu89
 GNU_CONFIGURE=	yes
 INSTALLS_ICONS=	yes
 
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-OPTIONS_SUB=	yes
 LASH_LIB_DEPENDS=	liblash.so:${PORTSDIR}/audio/lash
 LASH_CONFIGURE_WITH=	lash
-LV2_BUILD_DEPENDS+=	lv2core>0:${PORTSDIR}/audio/lv2core
-LV2_RUN_DEPENDS+=	lv2core>0:${PORTSDIR}/audio/lv2core
+LV2_BUILD_DEPENDS=	lv2core>0:${PORTSDIR}/audio/lv2core
+LV2_RUN_DEPENDS=	lv2core>0:${PORTSDIR}/audio/lv2core
 LV2_CONFIGURE_WITH=	lv2
 
+.include <bsd.port.options.mk>
+
 post-patch:
 	@${FIND} ${BUILD_WRKSRC} -name '*.cpp' | ${XARGS} ${REINPLACE_CMD} -e \
 		's|<malloc.h>|<stdlib.h>|'
 	@${REINPLACE_CMD} -e '/CXXFLAGS/s|-O3||' ${WRKSRC}/configure
-	@${REINPLACE_CMD} -e '/^install-data-am:/s|install-data-local||' \
-		${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -e '/calf.so/s|$$(pkglibdir)|../../calf|' \
+		${WRKSRC}/src/Makefile.in
+	@${REINPLACE_CMD} -e 's|src\.size();|src->size();|' \
+		${WRKSRC}/src/calf/buffer.h
+	@${REINPLACE_CMD} -e 's|data\[(1<<IntBits)+1\]|data[]|' \
+		${WRKSRC}/src/calf/fixed_point.h
+
+pre-build:
+.if ${PORT_OPTIONS:MLV2}
+	@${MKDIR} ${WRKDIR}/calfmakerdf
+	@(cd ${WRKSRC} && ${PAX} -rw . ${WRKDIR}/calfmakerdf)
+	@${REINPLACE_CMD} -e 's|\(PKGLIBDIR\).*|\1 "${STAGEDIR}${DATADIR}"|' \
+		${WRKDIR}/calfmakerdf/config.h
+	@(cd ${WRKDIR}/calfmakerdf/src && ${SETENV} ${MAKE_ENV} ${MAKE_CMD} \
+		${MAKE_FLAGS} ${MAKEFILE} -j${MAKE_JOBS_NUMBER} ${MAKE_ARGS} \
+		calfmakerdf)
+.endif
 
 post-install:
-	@(cd ${INSTALL_WRKSRC} && ${SETENV} ${MAKE_ENV} ${GMAKE} \
-		${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} install-data-local)
+.if ${PORT_OPTIONS:MLV2}
+	@(cd ${WRKDIR}/calfmakerdf/src && ./calfmakerdf -m ttl \
+		-p ${STAGEDIR}${PREFIX}/lib/lv2/calf.lv2)
+.endif
 
 .include <bsd.port.mk>

Modified: branches/2014Q1/audio/calf/pkg-plist
==============================================================================
--- branches/2014Q1/audio/calf/pkg-plist	Sat Jan 25 12:55:49 2014	(r341016)
+++ branches/2014Q1/audio/calf/pkg-plist	Sat Jan 25 12:56:56 2014	(r341017)
@@ -34,6 +34,11 @@ lib/calf/calf.so
 %%LV2%%lib/lv2/calf.lv2/calf.so
 %%LV2%%lib/lv2/calf.lv2/calflv2gui.so
 %%LV2%%lib/lv2/calf.lv2/manifest.ttl
+%%LV2%%lib/lv2/calf.lv2/presets-Filter.ttl
+%%LV2%%lib/lv2/calf.lv2/presets-Flanger.ttl
+%%LV2%%lib/lv2/calf.lv2/presets-Monosynth.ttl
+%%LV2%%lib/lv2/calf.lv2/presets-Organ.ttl
+%%LV2%%lib/lv2/calf.lv2/presets-Reverb.ttl
 man/man1/calfjackhost.1.gz
 man/man7/calf.7.gz
 share/applications/calf.desktop
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"